Mount Up by 


* Description

Allows you to mount and control tamed Loxen, Boars, and Wolves.

* Features

    Mount a tamed creature by holding a modifier key (default: Left Shift) when you interact with a creature (so Left Shift + E with default controls.)
    Control the creature with standard movement keys.
    If you attempt to mount a Lox that already has a rider you will instead ride behind them with no control over the Lox.
    You can Dismount by jumping.
    Mounts can use your stamina when you run with it (off by default), different mounts can have different rates of stamina usage.
    Mounts can attack, mouse buttons cause the mount to attack, left mouse does first attack, middle does second, and right does third. As not all mounts have 3 attacks, mouse buttons for attacks that the creature doesn't have will do the last one the do have (so if a mount has only one attack, all buttons will do that one; if they have 2, left will do the first and middle and right will do the second.
    Optional adjustable speeds for mounts.
    Optional "tight mount", Mount Points can be based on the model of the creature mounted, meaning your character moves as they shift around. WARNING: This means there will be a lot more small movements, and bobbing around as your mount runs, if you are prone to motion sickness, I strongly advise you leave this option off.
    Custom mounts can be configured to use tight mounts, but this will require knowing the bone structure of the creature, so isn't an easily accessible feature.
    Experimental: Jump on another player's back and get a ride, however Vikings aren't easily tamed, so you can't control them and are just along for the ride. (Off by default, must be turned on in config, due to a slight bug and the fact that riding around on other players is easily abused)


* Config

A config file is created in BepInEx\config\Koosemose.MountUp.cfg this allows you to set rather or not each of the 3 creatures are mountable, rather or not a second player attempting to mount a Lox will ride as a passenger, the experimental player mounting feature and what modifier key is used with the interact key to mount a creature. By default, all are turned on except player mounting and stamina usage with a running mount.

The stamina usage modifier for each mount is a multiplier, so a Lox with .5 will use half as much as a Boar with 1. If you were to change it to 2 it would use twice as much.

Adding Custom Mounts: Set "EnableCustomMounts" to true, and "CustomMountCount" to however many additional creatures you want to add.

To configure the mounts you will need to add a new numbered section for each new mount ("CustomMount 1", "CustomMount 2", and so on). Then will need at a minimum, "Name" set to the creature's Prefab name (for example a Drake is "Hatchling"). Then you can set the type of mount point to use, either Lox, Wolf, or Boar to use the same mount offset as those creatures, or Custom to set your own (the preset types aren't likely to line up quite right, but may help provide a starting point). If using Custom, you will need to set "MountPoint" (in the form of ﻿"{"x":0.0,"y":2.0,"z":1.0}"), if you choose one of the preset types it will also fill in "MountPoint" with the matching values. Finally there is "StaminaModifier", which functions just the same as the specific StaminaModifier settings for the standard mounts.

"TightMountPath" is used to set where in the creatures bone structure a player is mounted relative to. As this requires using the structure of the creature, it is considered an advanced feature. The path starts from the creature's "Visual", for example I will use a wolf (as the existing creatures use the same method of path as a custom creature will need), the mount path is "WolfSmooth/CG/Pelvis/Spine/Spine1/Spine2". And as the MountPoint is relative to this location, the Mount Point settings will need to be different, typically much smaller and more precise numbers, so for the wolf it uses {"x":-0.06374439,"y":0.2351418,"z":0.0}. The Alt mount points (AltLox, AltWolf, and AltBoar) are based on tight mount points and so can be used to give a jumping off point for adjusting to a custom creature.

* Server Use
If not all players on a server have the mod installed, you will only be able to control a mount when a client with the mod installed is simulating the area.

* Known Issues

    If the Player Mounting feature is turned on, and another player is riding you, it is possible to try to mount them, and with both players attempting to exist on each other's back, you will both rapidly shoot up into the air, until at least one of you dismounts.